CREATE CONSTRAINT TRIGGER(7)

NAME
CREATE CONSTRAINT TRIGGER - define a new constraint trigger

SYNOPSIS

CREATE CONSTRAINT TRIGGER name
    AFTER events ON
    relation constraint attributes
    FOR EACH ROW EXECUTE PROCEDURE func '(' args ')'

  INPUTS

name
    The name of the constraint trigger.

events
    The event categories for which this trigger should be fired.

relation
    The name (possibly schema-qualified) of the relation in which the triggering events occur.

constraint
    Actual constraint specification.

attributes
    Constraint attributes.

func(args)
    Function to call as part of the trigger processing.

  OUTPUTS

CREATE TRIGGER
    Message returned if successful.

DESCRIPTION

CREATE CONSTRAINT TRIGGER is used within CREATE/ALTER TABLE and by pg_dump to create the special triggers for referential integrity.

It is not intended for general use.